<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM.html">serdes5GpdProd_TX_STARTUP_FSM</a></li><li class="navelem"><a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:aa7a39c977b8477b9abd6bdf1e7d4f6a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7a39c977b8477b9abd6bdf1e7d4f6a2"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aa7a39c977b8477b9abd6bdf1e7d4f6a2">PROCESS_144</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac1cd5d563a13a7a8d207346a543d3c57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1cd5d563a13a7a8d207346a543d3c57"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ac1cd5d563a13a7a8d207346a543d3c57">timeouts</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afc4b6d8bbcf87ee30deb10e8c655f5c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc4b6d8bbcf87ee30deb10e8c655f5c5"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#afc4b6d8bbcf87ee30deb10e8c655f5c5">mmcm_lock_wait</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abe15061f28bc9a0bda33f5b58da7f342"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe15061f28bc9a0bda33f5b58da7f342"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#abe15061f28bc9a0bda33f5b58da7f342">PROCESS_145</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">TXUSERCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aed6571f84e528f89bb94b8c3cb94b053"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed6571f84e528f89bb94b8c3cb94b053"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aed6571f84e528f89bb94b8c3cb94b053">PROCESS_146</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae08a753989e7a0f714d743efc0c9c77e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae08a753989e7a0f714d743efc0c9c77e"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ae08a753989e7a0f714d743efc0c9c77e">PROCESS_147</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3a2352fce2b993fce5063e887ddc6696"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a2352fce2b993fce5063e887ddc6696"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a3a2352fce2b993fce5063e887ddc6696">PROCESS_148</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7290d49813018ba12cb6eb37258740c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7290d49813018ba12cb6eb37258740c7"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a7290d49813018ba12cb6eb37258740c7">timeout_buffer_bypass</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">TXUSERCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a777c5e83ddb0149fb84cbabd2f741d18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a777c5e83ddb0149fb84cbabd2f741d18"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a777c5e83ddb0149fb84cbabd2f741d18">reset_fsm</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a682ef29c58d69af2faff5855c65d2b5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a682ef29c58d69af2faff5855c65d2b5a"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a682ef29c58d69af2faff5855c65d2b5a">serdes5GpdProd_sync_block</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:aa60056faba83b18dd47141310c1db606"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa60056faba83b18dd47141310c1db606"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aa60056faba83b18dd47141310c1db606">MMCM_LOCK_CNT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1024</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adbcbaff5f2f769e437c1ae03cc53c10d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbcbaff5f2f769e437c1ae03cc53c10d"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#adbcbaff5f2f769e437c1ae03cc53c10d">STARTUP_DELAY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">500</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9503b26b0b4d99bef252871890ed8a8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9503b26b0b4d99bef252871890ed8a8f"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a9503b26b0b4d99bef252871890ed8a8f">WAIT_CYCLES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">STARTUP_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1ebbb442969eb65f5cff298a081020c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ebbb442969eb65f5cff298a081020c8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a1ebbb442969eb65f5cff298a081020c8">WAIT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_CYCLES</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add97125de03f94eb9c4a32b6d453e52c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add97125de03f94eb9c4a32b6d453e52c"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#add97125de03f94eb9c4a32b6d453e52c">WAIT_TIMEOUT_2ms</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2000000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48245c5daa0d11c61303ca98641cb268"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48245c5daa0d11c61303ca98641cb268"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a48245c5daa0d11c61303ca98641cb268">WAIT_TLOCK_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">100000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9ac42c3a28bd12da865b294accbb20b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9ac42c3a28bd12da865b294accbb20b"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ac9ac42c3a28bd12da865b294accbb20b">WAIT_TIMEOUT_500us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">500000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc03293fc08346292c7edbcc46a6b928"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc03293fc08346292c7edbcc46a6b928"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#acc03293fc08346292c7edbcc46a6b928">MAX_RETRIES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">RETRY_COUNTER_BITWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af252d5f8b3187d71230ff35fcc07a9b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af252d5f8b3187d71230ff35fcc07a9b6"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#af252d5f8b3187d71230ff35fcc07a9b6">MAX_WAIT_BYPASS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">173568</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a6c8f6e0b5ce90e9b288c0f56fa1bc34f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c8f6e0b5ce90e9b288c0f56fa1bc34f"></a>
<b><a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a6c8f6e0b5ce90e9b288c0f56fa1bc34f">tx_rst_fsm_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ASSERT_ALL_RESETS</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RELEASE_PLL_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RELEASE_MMCM_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_RESET_DONE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DO_PHASE_ALIGNMENT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RESET_FSM_DONE</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a471cce50c45a77a45b1f9784c157f062"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a471cce50c45a77a45b1f9784c157f062"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a471cce50c45a77a45b1f9784c157f062">tx_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">tx_rst_fsm_type</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52cda54e7b8155ab9dc776b5266c45d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52cda54e7b8155ab9dc776b5266c45d8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a52cda54e7b8155ab9dc776b5266c45d8">init_wait_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_MAX</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86fac81b99a4a170e480e26a7f40e0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86fac81b99a4a170e480e26a7f40e0c4"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a86fac81b99a4a170e480e26a7f40e0c4">init_wait_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0252db8c85646b97885002863377cbd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0252db8c85646b97885002863377cbd"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ab0252db8c85646b97885002863377cbd">pll_reset_asserted</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aefd68db5f44b51f2995a5395a4e14d41"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefd68db5f44b51f2995a5395a4e14d41"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aefd68db5f44b51f2995a5395a4e14d41">tx_fsm_reset_done_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af0b6ae576b5cd9db6e2a61a0b555ad15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0b6ae576b5cd9db6e2a61a0b555ad15"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#af0b6ae576b5cd9db6e2a61a0b555ad15">tx_fsm_reset_done_int_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a43ff807855abe0b3aa5050d2026a3f67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43ff807855abe0b3aa5050d2026a3f67"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a43ff807855abe0b3aa5050d2026a3f67">tx_fsm_reset_done_int_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77067ac9ecd475d0218f48affc5da342"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77067ac9ecd475d0218f48affc5da342"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a77067ac9ecd475d0218f48affc5da342">txresetdone_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f005d3dd98270f3905a2a6e8b110d8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f005d3dd98270f3905a2a6e8b110d8d"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a7f005d3dd98270f3905a2a6e8b110d8d">txresetdone_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a43057796e64d2c60b48660f807faf7ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43057796e64d2c60b48660f807faf7ec"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a43057796e64d2c60b48660f807faf7ec">retry_counter_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MAX_RETRIES</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c7311af85f2d7657efbd760990878ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c7311af85f2d7657efbd760990878ca"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a2c7311af85f2d7657efbd760990878ca">time_out_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_TIMEOUT_2ms</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1eae8f13d762b3f6caf3b19361d244b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1eae8f13d762b3f6caf3b19361d244b8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a1eae8f13d762b3f6caf3b19361d244b8">reset_time_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f2f514af46c259176f5b7e84ab9a841"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f2f514af46c259176f5b7e84ab9a841"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a6f2f514af46c259176f5b7e84ab9a841">time_out_2ms</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28023ea14329fc7ca21f62520cfc337c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28023ea14329fc7ca21f62520cfc337c"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a28023ea14329fc7ca21f62520cfc337c">time_tlock_max</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a60d87ad2d9d9b475c6e22cbadb684e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a60d87ad2d9d9b475c6e22cbadb684e"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a8a60d87ad2d9d9b475c6e22cbadb684e">time_out_500us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a05b0536ca552b145d0203e36a764e59e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05b0536ca552b145d0203e36a764e59e"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a05b0536ca552b145d0203e36a764e59e">mmcm_lock_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MMCM_LOCK_CNT_MAX</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5896bdcd20f8c4e5eea86a3d1c4430b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5896bdcd20f8c4e5eea86a3d1c4430b"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ae5896bdcd20f8c4e5eea86a3d1c4430b">mmcm_lock_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3561eee24cfd6d09fa2ceaa60b3e95fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3561eee24cfd6d09fa2ceaa60b3e95fa"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a3561eee24cfd6d09fa2ceaa60b3e95fa">mmcm_lock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad53e2b9a6c0b367fb7601095ebecae02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad53e2b9a6c0b367fb7601095ebecae02"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ad53e2b9a6c0b367fb7601095ebecae02">mmcm_lock_reclocked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ad41004f6614ad588373aa322658636"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ad41004f6614ad588373aa322658636"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a4ad41004f6614ad588373aa322658636">run_phase_alignment_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a54e0a0afef47a2034872f9004a5366f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54e0a0afef47a2034872f9004a5366f8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a54e0a0afef47a2034872f9004a5366f8">run_phase_alignment_int_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f90e0679c88c4eaddef7abf5ba1bcdc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f90e0679c88c4eaddef7abf5ba1bcdc"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a6f90e0679c88c4eaddef7abf5ba1bcdc">run_phase_alignment_int_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6ac4f9cb420d47d712340b219261148"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6ac4f9cb420d47d712340b219261148"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#ab6ac4f9cb420d47d712340b219261148">wait_bypass_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MAX_WAIT_BYPASS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95aa1d88bcad5570f89176267b272741"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95aa1d88bcad5570f89176267b272741"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a95aa1d88bcad5570f89176267b272741">time_out_wait_bypass</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0e52ccd688901c8121b0982121ccd023"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e52ccd688901c8121b0982121ccd023"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a0e52ccd688901c8121b0982121ccd023">time_out_wait_bypass_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa664cfccb07b0cb818ca61fd450ba7f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa664cfccb07b0cb818ca61fd450ba7f0"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aa664cfccb07b0cb818ca61fd450ba7f0">time_out_wait_bypass_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaa2e121dc27dd343345af511446ba732"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa2e121dc27dd343345af511446ba732"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#aaa2e121dc27dd343345af511446ba732">refclk_lost</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af86747e982646a7d11c9e1bf258af7fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af86747e982646a7d11c9e1bf258af7fe"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#af86747e982646a7d11c9e1bf258af7fe">cplllock_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f23a640ae92a9768da2bca38fd06b56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f23a640ae92a9768da2bca38fd06b56"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a7f23a640ae92a9768da2bca38fd06b56">qplllock_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37c76a8d341a5c6be712c5783afe1cb4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37c76a8d341a5c6be712c5783afe1cb4"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a37c76a8d341a5c6be712c5783afe1cb4">cplllock_prev</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6541298f213ed17e2ccec5c48696a817"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6541298f213ed17e2ccec5c48696a817"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a6541298f213ed17e2ccec5c48696a817">qplllock_prev</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b1f33f05732be88bc956dc0ab898bb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b1f33f05732be88bc956dc0ab898bb8"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a7b1f33f05732be88bc956dc0ab898bb8">cplllock_ris_edge</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a07a79f82b02f1304a790b70f73344ccf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07a79f82b02f1304a790b70f73344ccf"></a>
<a class="el" href="classserdes5GpdProd__TX__STARTUP__FSM_1_1RTL.html#a07a79f82b02f1304a790b70f73344ccf">qplllock_ris_edge</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html#l00119">119</a> of file <a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html">serdes5gpdprod_tx_startup_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/<a class="el" href="serdes5gpdprod__tx__startup__fsm_8vhd_source.html">serdes5gpdprod_tx_startup_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
